Name: tklua
Version: 4.0
Release: alt1a

Summary: Binding Tk to Lua
License: freeware
Group: Development/Other

Url: http://www.cis.upenn.edu/~cvogler/lua/tklua.html
Source: ftp://ftp.cis.upenn.edu/pub/cvogler/software/tklua.tar.gz

# Automatically added by buildreq on Sun Aug 24 2003
BuildRequires: XFree86-devel XFree86-libs libGLU-devel liblua4-devel tcl-devel tk-devel tolua4

%description
TkLua allows programmers to access Tk widgets from Lua. It also offers the
possibility of instantiating an OpenGL canvas, where users can draw images
accessing the OpenGL functions, also from Lua.

%prep
%setup -q -n %name

%build
%define realname %name
%define sover 4

: custom build
DEST=$PWD/ready
%__mkdir_p $DEST

CFLAGS="-I$PWD/include -D_GNU_SOURCE=1"

: static libraries
cd ./src/lib
for f in *.pkg; do tolua -o ${f%%.pkg}.c $f; done
gcc $CFLAGS %optflags -c *.c
ar rcu $DEST/lib%realname.a *.o
ranlib $DEST/lib%realname.a

: dynamic libraries
gcc $CFLAGS %optflags %optflags_shared -c *.c
ld -o $DEST/lib%realname.so.%sover -soname=lib%realname.so.%sover -shared -O1 -lc *.o
ln -s lib%realname.so.%sover $DEST/lib%realname.so

: executable
cd ../bin
gcc $CFLAGS %optflags -o $DEST/%realname -L$DEST -l%realname *.c -L/usr/X11R6/lib \
	-ltk -ltcl -ldl -ltklua -ltolua -llua -llualib -lGL -lGLU -lX11 -lm

%install
%__mkdir_p %buildroot{%_bindir,%_includedir,%_libdir,%_man1dir,%_datadir/%realname}
%__cp -a ready/%realname	%buildroot%_bindir/
%__cp -a ready/lib*		%buildroot%_libdir/
%__cp -a include/*.h		%buildroot%_includedir/
%__cp -a test lib/*.lua		%buildroot%_datadir/%realname/

%files
%doc INSTALL README doc/*
%_bindir/%name
%_libdir/lib%name.*
%_includedir/%name.h
%_datadir/%name

%changelog
* Sun Aug 24 2003 Alexey Tourbin <at@altlinux.ru> 4.0-alt1a
- initial revision
